"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EntryEditorConfigureAction = void 0;
const action_1 = require("./action");
class EntryEditorConfigureAction extends action_1.EntityAction {
    constructor(contentTypeId, widgetNamespace, widgetId, settings) {
        super();
        this.contentTypeId = contentTypeId;
        this.widgetId = widgetId;
        this.widgetNamespace = widgetNamespace;
        this.settings = settings;
    }
    getEntityType() {
        return action_1.EntityType.EditorInterface;
    }
    getEntityId() {
        return this.contentTypeId;
    }
    async applyTo(editorInterfaces) {
        editorInterfaces.setEditor({
            widgetId: this.widgetId,
            widgetNamespace: this.widgetNamespace,
            settings: this.settings
        });
    }
}
exports.EntryEditorConfigureAction = EntryEditorConfigureAction;
//# sourceMappingURL=entryeditor-configure.js.map