"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SidebarWidgetRemoveAction = void 0;
const action_1 = require("./action");
class SidebarWidgetRemoveAction extends action_1.EntityAction {
    constructor(contentTypeId, widgetId, widgetNamespace) {
        super();
        this.contentTypeId = contentTypeId;
        this.widgetId = widgetId;
        this.widgetNamespace = widgetNamespace;
    }
    getEntityType() {
        return action_1.EntityType.EditorInterface;
    }
    getEntityId() {
        return this.contentTypeId;
    }
    async applyTo(editorInterfaces) {
        editorInterfaces.removeSidebarWidget(this.widgetId, this.widgetNamespace);
    }
}
exports.SidebarWidgetRemoveAction = SidebarWidgetRemoveAction;
//# sourceMappingURL=sidebarwidget-remove.js.map