"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SidebarWidgetUpdateAction = void 0;
const action_1 = require("./action");
class SidebarWidgetUpdateAction extends action_1.EntityAction {
    constructor(contentTypeId, widgetId, widgetNamespace, settings, disabled) {
        super();
        this.contentTypeId = contentTypeId;
        this.widgetId = widgetId;
        this.settings = settings;
        this.disabled = disabled;
        this.widgetNamespace = widgetNamespace;
    }
    getEntityType() {
        return action_1.EntityType.EditorInterface;
    }
    getEntityId() {
        return this.contentTypeId;
    }
    async applyTo(editorInterfaces) {
        editorInterfaces.updateSidebarWidget(this.widgetId, this.widgetNamespace, this.settings, this.disabled);
    }
}
exports.SidebarWidgetUpdateAction = SidebarWidgetUpdateAction;
//# sourceMappingURL=sidebarwidget-update.js.map