"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TagCreateAction = void 0;
const action_1 = require("./action");
class TagCreateAction extends action_1.APIAction {
    constructor(tagId, tagVisibility = 'private') {
        super();
        this.tagId = tagId;
        this.tagVisibility = tagVisibility;
    }
    getEntityId() {
        return this.tagId;
    }
    getEntityType() {
        return action_1.EntityType.Tag;
    }
    async applyTo(api) {
        await api.createTag(this.tagId, this.tagVisibility);
    }
}
exports.TagCreateAction = TagCreateAction;
//# sourceMappingURL=tag-create.js.map